<?php
$server = new Swoole\Server('127.0.0.1', 55055);
$server->set([
    'worker_num' => 1,
]);

$server->on('receive', function($serv, $fd, $reactor_id, $data) {
    echo '[#'. $serv->worker_id . "]\tClient[$fd] receive data: $data\n";
    if ($serv->send($fd, "hello {$data}\n") == false) {
        echo "error\n";
    }
});

$server->start();
