# WEB+DB PRESS Vol.113「［入門］SwooleによるPHP非同期処理」サンプルコード

技術評論社刊「WEB+DB PRESS Vol.113」の「［入門］SwooleによるPHP非同期処理」（小山哲志著）のサンプルコードです。

## 内容

* 01-no-coroutine.php
  * Swoole コルーチンを使用しない通常のファイル出力サンプル
* 02-use-coroutine.php
  * Swoole コルーチンを使用した非同期ファイル出力サンプル
* 03-defer.php
  * Swoole の defer 機能を使ったサンプル
* 04-channel1.php
  * Swoole の Channel 機能を使ったサンプル その1
* 05-channel2.php
  * Swoole の Channel 機能を使ったサンプル その2
* 06-echo-server.php
  * TCP エコーサーバーのサンプル

## 実行方法

これらのプログラムの実行には Swoole 機能拡張がインストールされ、php.ini 等で有効にされている必要があります。

```shell
$ pecl install swoole
```

```php.ini
extension=swoole.so
```

php コマンド(CLI版PHP) をファイル名を引数にして実行してください。

例)
```shell
$ php 01-no-coroutine.php
```
