<?php

use Swoole\Coroutine as co;

$pathTpl = 'data/%02d.out';
$content = random_bytes(10 * 1024 * 1024); // 10MB

for ($i = 0; $i < 5; ++$i) {
    $path = sprintf($pathTpl, $i);

    co::create(function() use ($path, $content) {
        $fp = fopen($path, 'w+');
        echo 'write...: ' . $path . "\n";
        $r = co::fwrite($fp, $content);
        fclose($fp);
        echo 'write: ' . $path . " done\n";
    });
}
